commit:     ed47497c6d30a010cf5a4c46c8a5cd4f02d33165
Author:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
AuthorDate: Fri Jul 26 23:43:11 2024 +0000
Commit:     Mazunki Hoksaas <rolferen <AT> gmail <DOT> com>
CommitDate: Fri Jul 26 23:43:21 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ed47497c

sys-power/amdfan: add 0.2.1

Signed-off-by: Mazunki Hoksaas <rolferen <AT> gmail.com>

 sys-power/amdfan/amdfan-0.2.1.ebuild | 58 ++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/sys-power/amdfan/amdfan-0.2.1.ebuild 
b/sys-power/amdfan/amdfan-0.2.1.ebuild
new file mode 100644
index 000000000..b023cb033
--- /dev/null
+++ b/sys-power/amdfan/amdfan-0.2.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 systemd autotools
+
+DESCRIPTION="Updated AMD Fan control utility forked from amdgpu-fan and 
updated. "
+HOMEPAGE="https://mcgillij.dev/pages/amdfan.html";
+SRC_URI="https://github.com/mcgillij/amdfan/archive/refs/tags/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/click[${PYTHON_USEDEP}]
+       dev-python/rich[${PYTHON_USEDEP}]
+"
+DEPEND="${PYTHON_DEPS}"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+DOCS=( README.md )
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       default
+
+       sed -i '/^include = \["dist\/systemd\/amdfan.service"\]$/d' 
pyproject.toml || die
+
+       eautoreconf
+}
+
+src_configure() {
+       econf
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+}
+
+python_install_all() {
+       default
+
+       newinitd dist/openrc/amdfan amdfan
+       systemd_dounit dist/systemd/amdfan.service
+}
+
+python_test() {
+       "${EPYTHON}" -m unittest discover tests || die
+}

Reply via email to